Bug 1111482 - [RFE] Support fencing for iLO over SSH
Summary: [RFE] Support fencing for iLO over SSH
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fence-agents
Version: 6.5
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact: cluster-qe@redhat.com
Steven J. Levine
URL:
Whiteboard:
Depends On:
Blocks: 1075802 1121122 1214425
TreeView+ depends on / blocked
 
Reported: 2014-06-20 07:03 UTC by Martin Tessun
Modified: 2019-10-10 09:19 UTC (History)
14 users (show)

Fixed In Version: fence-agents-4.0.15-5
Doc Type: Enhancement
Doc Text:
Support for fence_ilo_ssh fencing agent The fence_ilo_ssh fencing agent is a fence agent that connects to an iLO device. It logs into the device via ssh and reboots a specified outlet. For information on the parameters for the fence_ilo_ssh fencing agent, see the fence_ilo_ssh(8) man page.
Clone Of:
: 1121122 1214425 (view as bug list)
Environment:
Last Closed: 2015-07-22 06:58:14 UTC


Attachments (Terms of Use)
Proposed fence agent (1.83 KB, text/plain)
2014-06-27 08:40 UTC, Marek Grac
no flags Details
Proposed fencing library (32.32 KB, application/octet-stream)
2014-06-27 08:41 UTC, Marek Grac
no flags Details
Proposed fencing library (38.01 KB, text/x-python)
2014-06-27 08:57 UTC, Marek Grac
no flags Details
Proposed fencing library (38.02 KB, text/x-python)
2014-07-01 13:52 UTC, Marek Grac
no flags Details
Proposed fence agent (1.75 KB, text/x-python)
2014-07-01 13:52 UTC, Marek Grac
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1350 normal SHIPPED_LIVE fence-agents bug fix and enhancement update 2015-07-20 17:59:44 UTC
Red Hat Knowledge Base (Solution) 966643 None None None Never

Description Martin Tessun 2014-06-20 07:03:42 UTC
1. What is the nature and description of the request?  
   An additional fencing agent based on ssh should be added to RHEV. Idea is that a generic command can be given for fencing. Thus e.g. ILO systems or blades can be fenced by connecting via ssh to the ILO itself avoiding IPMI (which is forbidden due to security reasons)

2. Why does the customer need this? (List the business requirements here)  
   As security forbids using IPMI, and single blades can only be fenced using the ILO, a generic ssh fencing daemon is needed to apply whatever command needed to power off/reboot the blade to the ILO via ssh.
   Without fence_ssh no fencing in RHEV is possible, as the remaining fence_ipmi is not allowed from the security group.
   The customer actually has a production risk at the moment already as the newly added systems can't be fenced,
   so in order of any hardware failure, ha-flaged VMs cannot be restarted.

3. How would the customer like to achieve this? (List the functional requirements here)  
   Add a fence_ssh agent that is able to connect to whatever IP with Username/Password or Username/Key to a system (ILO) and run a given command.
   The command should be configurable as a fencing parameter to support as many different ILO types as possible.

4. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
   Configure the fence_ssh
   Run the fencing
   Check if the host was powered off /reset / etc. according to the command that has been run.

5. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
   Not that I am aware off.

6. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
   RHEV 3.x

7. Is the sales team involved in this request and do they have any additional input?  
   No.

8. List any affected packages or components.  
   RHEV / RHEV-M

9. Would the customer be able to assist in testing this functionality if implemented?  
   Yes.

Comment 11 Marek Grac 2014-06-27 08:40:09 UTC
Created attachment 912707 [details]
Proposed fence agent

Comment 12 Marek Grac 2014-06-27 08:41:30 UTC
Created attachment 912708 [details]
Proposed fencing library

Together with proposed fence agent, you can test functionality. 

fence_ilo_mp -l user -p password -a ilo-node --method=cycle -o reboot

Comment 13 Marek Grac 2014-06-27 08:57:05 UTC
Created attachment 912710 [details]
Proposed fencing library

Comment 18 Marek Grac 2014-07-01 13:52:13 UTC
Created attachment 913766 [details]
Proposed fencing library

Comment 19 Marek Grac 2014-07-01 13:52:38 UTC
Created attachment 913767 [details]
Proposed fence agent

Comment 20 Marek Grac 2014-07-01 13:53:43 UTC
Updated versions of both fencing lib and fence agent, please retest

Comment 29 errata-xmlrpc 2015-07-22 06:58:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1350.html


Note You need to log in before you can comment on or make changes to this bug.